DIY 3.0 data-parallel out-of-core C++ library

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Functions Typedefs Groups Pages
Public Member Functions | List of all members
fmt::BasicArrayWriter< Char > Class Template Reference

`#include <diy/fmt/format.h>`

Inheritance diagram for fmt::BasicArrayWriter< Char >:

## Public Member Functions
| BasicArrayWriter (Char *array, std::size_t size)
template<std::size_t SIZE>
| BasicArrayWriter (Char(&array)[SIZE])
Public Member Functions inherited from fmt::BasicWriter< Char >
virtual | ~BasicWriter ()
std::size_t | size () const
const Char * | data () const FMT_NOEXCEPT
const Char * | c_str () const
std::basic_string< Char > | str () const
void | write (BasicCStringRef< Char > format, ArgList args)
BasicWriter & | operator<< (int value)
BasicWriter & | operator<< (unsigned value)
BasicWriter & | operator<< (long value)
BasicWriter & | operator<< (unsigned long value)
BasicWriter & | operator<< (LongLong value)
BasicWriter & | operator<< (ULongLong value)
BasicWriter & | operator<< (double value)
BasicWriter & | operator<< (long double value)
BasicWriter & | operator<< (char value)
BasicWriter & | operator<< (typename internal::WCharHelper< wchar_t, Char >::Supported value)
BasicWriter & | operator<< (fmt::BasicStringRef< Char > value)
BasicWriter & | operator<< (typename internal::WCharHelper< StringRef, Char >::Supported value)
template<typename T , typename Spec , typename FillChar >
BasicWriter & | operator<< (IntFormatSpec< T, Spec, FillChar > spec)
template<typename StrChar >
BasicWriter & | operator<< (const StrFormatSpec< StrChar > &spec)
void | clear () FMT_NOEXCEPT
Buffer< Char > & | buffer () FMT_NOEXCEPT
template<typename StrChar >
BasicWriter< Char >::CharPtr | write_str (const StrChar *s, std::size_t size, const AlignSpec &spec)
template<typename Spec >
BasicWriter< Char >::CharPtr | prepare_int_buffer (unsigned num_digits, const Spec &spec, const char *prefix, unsigned prefix_size)

## Additional Inherited Members
Protected Member Functions inherited from fmt::BasicWriter< Char >
| BasicWriter (Buffer< Char > &b)

## Detailed Description

### template<typename Char>
class fmt::BasicArrayWriter< Char >

This class template provides operations for formatting and writing data into a fixed-size array. For writing into a dynamically growing buffer use :class:`fmt::BasicMemoryWriter`.

Any write method will throw `std::runtime_error` if the output doesn't fit into the array.

You can use one of the following typedefs for common character types:

+-----------—+------------------------—+ | Type | Definition | +==============+===========================+ | ArrayWriter | BasicArrayWriter<char> | +-----------—+------------------------—+ | WArrayWriter | BasicArrayWriter<wchar_t> | +-----------—+------------------------—+

## Constructor & Destructor Documentation

template<typename Char >

fmt::BasicArrayWriter< Char >::BasicArrayWriter | ( | Char * | array,
|  | std::size_t | size
| ) |  |
| inline

Constructs a :class:`fmt::BasicArrayWriter` object for array of the given size.

template<typename Char >
template<std::size_t SIZE>

fmt::BasicArrayWriter< Char >::BasicArrayWriter | ( | Char(&) | array[SIZE] | ) |
| inline explicit

Constructs a :class:`fmt::BasicArrayWriter` object for array of the size known at compile time.

The documentation for this class was generated from the following file:

- include/diy/fmt/format.h